미체결 주문 조회

종목 별 / 주문 방식 별로 미체결 주문 조회

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

요청 제한: 주문 외 Private API 전체 합산 초당 80회 · 포트폴리오 기준 · 자세히 보기

Request Header

헤더필수설명
X-COINONE-PAYLOAD필수Request body object -> JSON string -> base64
X-COINONE-SIGNATURE필수HMAC(X-COINONE-PAYLOAD, SECRET_KEY, SHA512).hexdigest()

Request Body

필드타입필수설명
access_tokenString필수사용자의 액세스 토큰
nonceString필수UUID nonce
* 예: "022f53b2-8b2f-40c6-8e51-b594f562ee83")
quote_currencyString선택마켓 기준 통화
예: KRW
두 값을 모두 입력하면 해당 종목만 조회, 하나라도 생략하면 전체 종목 조회
target_currencyString선택주문하려는 종목의 심볼
예: BTC
두 값을 모두 입력하면 해당 종목만 조회, 하나라도 생략하면 전체 종목 조회
order_typeArray[String]선택조회하고자하는 주문 유형,
["LIMIT"], ["STOP_LIMIT"],이 가능하며,
["LIMIT", "STOP_LIMIT"], [] 또는 생략시 모든 타입 조회 가능

Response Body

필드타입설명
resultString정상 처리 시 "success", 에러 발생 시 "error" 반환
error_codeString정상 처리 시 "0", 에러 발생 시 에러코드 "0" 이 아닌 값 반환
active_ordersArray[Object]배열 형태의 미체결 주문 목록
active_orders[].order_idString주문 식별 가능한 ID
active_orders[].typeString

주문 유형

- LIMIT: 지정가
- STOP_LIMIT : 예약가

active_orders[].sideString

매수/매도 분류

- BUY: 매수
- SELL : 매도

active_orders[].quote_currencyString마켓 기준 통화
active_orders[].target_currencyString주문한 종목
active_orders[].priceString주문 가격
active_orders[].original_qtyString최초 주문 수량
(remainqty + executed qty + canceled_qty)
예: "0.01"
active_orders[].remain_qtyString미체결 잔량
active_orders[].executed_qtyString체결된 수량
active_orders[].canceled_qtyString취소된 수량
active_orders[].feeString체결 수수료
active_orders[].fee_rateString체결 수수료율
active_orders[].average_executed_priceString체결된 주문들의 평균 체결가
active_orders[].ordered_atNumber주문 등록 시점의 타임스탬프
* unit of time: millisecond
active_orders[].is_triggeredBoolean해당 주문이 발동되었는지 여부
예약가 주문 이외의 경우, null로 응답
* 예약가 주문에서만 사용
active_orders[].trigger_priceString예약가 주문이 실행되는 가격 (감시가)
예약가 주문 이외의 경우, null로 응답
active_orders[].triggered_atNumber(예약가 주문인 경우) 해당 주문이 발동되었을 때, 발동된 시간
istriggered=false 일때는 null
istriggered=true 일때는 해당 주문이 발동된 시간임
예약가 주문 이외의 경우, null로 응답
Body Params
string
required

사용자의 액세스 토큰 (access token)

string
required

UUID nonce (예: "022f53b2-8b2f-40c6-8e51-b594f562ee83")

string

마켓 기준 통화, 미입력 시 전체 종목에 해당되는 주문 목록 조회

string

조회하려는 종목의 심볼, 미입력 시 전체 종목에 해당되는 주문 목록 조회

order_type
array of strings
Defaults to []

조회하고자하는 주문 방식, ["LIMIT"], ["STOP_LIMIT"], ["LIMIT", "STOP_LIMIT"] 이 가능하며, [] 또는 생략시 모든 타입이 조회

order_type
Headers
string
required

Request body object -> JSON string -> base64

string
required

HMAC(X-COINONE-PAYLOAD, SECRET_KEY, SHA512).hexdigest()

Response

Language
LoadingLoading…
Response
Choose an example:
application/json